define(function(require){
	var $ = require('jquery');
	require('grid')($);
    require('uriTemplate')($);
    require('dialog')($);
    require('datepicker')($);
	var IFA = require('util');
	require("../../../../styles/cim/jquery-ui-1.8.14.custom.css");
	require('../../../../styles/cim/cim-grid.css');
	//var ckData = CKEDITOR.replace('emailContent',{skin:'v2',language:'zh-cn'});
	$(function(){
		var emailSend = window.dialogArguments;
		$('#sendToAddress').text(emailSend.sendToAddress);
		$('#ccToAddress').text(emailSend.ccToAddress);
		$('#subject').text(emailSend.subject);
		$('#attachmentName').text(emailSend.attachmentName);
		//CKEDITOR.instances.emailContent.setData(emailSend.content);
		$('#emailContent').get(0).innerHTML=emailSend.content;
	});
	
	$('#cancel').click(function(){
		window.close();
	});
});